This is an automated email from the git hooks/post-receive script.
bernie.ogden pushed a commit to branch bernie/fs
in repository toolchain/abe.
commit 637ead6b7afefaf8a519075ae77f77c5250e5bbd
Author: Bernard Ogden <bernie.ogden(a)linaro.org>
Date: Wed Jul 29 16:21:13 2015 +0200
Add some comments
Change-Id: Ib141f404240910da8ebf9829a8680f8ee93c4dc1
---
config/bench/fs/makefs.sh | 3 +++
1 file changed, 3 insertions(+)
diff --git a/config/bench/fs/makefs.sh b/config/bench/fs/makefs.sh
index 8e00c91..d8c4298 100755
--- a/config/bench/fs/makefs.sh
+++ b/config/bench/fs/makefs.sh
@@ -41,6 +41,8 @@ function derivevars {
echo "${tarball} already exists" >&2
exit 1
fi
+
+ #Assumes host machine is x86_64
if test x"${arch}" = "xx86-64"; then
foreign=
else
@@ -71,6 +73,7 @@ function genrootfs {
#This depends on the relevant kernel magic being in place to execute
#arm/aarch64 code on qemu, and the relevant qemu being installed
+ #Debian: apt-get install binfmt-support qemu-user-static
if test x"${foreign:-}" != x; then
sudo /usr/sbin/debootstrap --second-stage --second-stage-target="${outdir}"
fi
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
bernie.ogden pushed a commit to branch bernie/fs
in repository toolchain/abe.
commit bff8b87ef05b62f223e26bbd965d040698cdd224
Author: Bernard Ogden <bernie.ogden(a)linaro.org>
Date: Wed Jul 29 13:41:54 2015 +0200
Add check that HEAD maps to something meaningful upstream
Change-Id: I2b82e9698e2e0fbc06990ca1d7608ecd3b0e93da
---
config/bench/fs/makefs.sh | 10 ++++++++++
1 file changed, 10 insertions(+)
diff --git a/config/bench/fs/makefs.sh b/config/bench/fs/makefs.sh
index 2c27503..2e87bc0 100755
--- a/config/bench/fs/makefs.sh
+++ b/config/bench/fs/makefs.sh
@@ -3,6 +3,16 @@ set -e
set -u
set -o pipefail
+#Check that we are in a clean state w.r.t. source control
+#Required to guarantee that the hash is valid
+if git status -sb --porcelain | head -n1 | grep -q '\]$'; then
+ echo "Committed state out of sync with upstream" >&2
+ exit 1
+elif test x"`git status -sb --porcelain | sed 1d`" != x; then
+ echo "Repository has local changes" >&2
+ exit 1
+fi
+
#All of these variables MUST be defined and non-empty
export stamp=20150607T041354Z
export suite=jessie
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
bernie.ogden pushed a change to branch bernie/fs
in repository toolchain/abe.
discards 3e6103b Add inotify-tools to the default package set
discards 076a7aa Use full paths for tarballs
discards 01a90fc Allow user to override 'local changes' check
discards b9d5673 Allow selection of what to produce
discards 9413ca9 Add some comments
discards fdfdd76 Run second-stage for foreign chroots
discards 8ed05f3 Add check that HEAD maps to something meaningful upstream
discards b22f7a7 Introduce script to build filesystems
omits 1a9237c Reduce target-session to minimal patches
new f7327ee Introduce script to build filesystems
new bff8b87 Add check that HEAD maps to something meaningful upstream
new d8e109e Run second-stage for foreign chroots
new 637ead6 Add some comments
new e5372c3 Allow selection of what to produce
new bb8b862 Allow user to override 'local changes' check
new 38818f9 Use full paths for tarballs
new 81667ca Add inotify-tools to the default package set
This update added new revisions after undoing existing revisions.
That is to say, some revisions that were in the old version of the
branch are not in the new version. This situation occurs
when a user --force pushes a change and generates a repository
containing something like this:
* -- * -- B -- O -- O -- O (3e6103b)
\
N -- N -- N refs/heads/bernie/fs (81667ca)
You should already have received notification emails for all of the O
revisions, and so the following emails describe only the N revisions
from the common base, B.
Any revisions marked "omits" are not gone; other references still
refer to them. Any revisions marked "discards" are gone forever.
The 8 revisions listed above as "new" are entirely new to this
repository and will be described in separate emails. The revisions
listed as "adds" were already present in the repository and have only
been added to this reference.
Summary of changes:
config/bench/fs/makefs.sh | 2 +-
config/bench/lava/target-session-kvm.yaml | 23 -----------------------
config/bench/lava/target-session.yaml | 5 +++++
3 files changed, 6 insertions(+), 24 deletions(-)
delete mode 100644 config/bench/lava/target-session-kvm.yaml
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
bernie.ogden pushed a commit to branch bernie/fs
in repository toolchain/abe.
commit d8e109ebc58ae81c71388ef57f114fd24ff37f16
Author: Bernard Ogden <bernie.ogden(a)linaro.org>
Date: Wed Jul 29 14:03:12 2015 +0200
Run second-stage for foreign chroots
Change-Id: I4b00aae017377562a3d50d2ce4d17094eb93d8f0
---
config/bench/fs/makefs.sh | 6 ++++++
1 file changed, 6 insertions(+)
diff --git a/config/bench/fs/makefs.sh b/config/bench/fs/makefs.sh
index 2e87bc0..8e00c91 100755
--- a/config/bench/fs/makefs.sh
+++ b/config/bench/fs/makefs.sh
@@ -68,6 +68,12 @@ function genrootfs {
${foreign:-} \
"${suite}" "${outdir}" \
http://snapshot.debian.org/archive/debian/${stamp}
+
+ #This depends on the relevant kernel magic being in place to execute
+ #arm/aarch64 code on qemu, and the relevant qemu being installed
+ if test x"${foreign:-}" != x; then
+ sudo /usr/sbin/debootstrap --second-stage --second-stage-target="${outdir}"
+ fi
}
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
unknown user pushed a change to branch trunk
in repository gcc.
from 18b3866 2015-07-30 Richard Biener <rguenther(a)suse.de>
new f58dd84 * c-common.c (warn_tautological_cmp): Bail for float types.
The 1 revisions listed above as "new" are entirely new to this
repository and will be described in separate emails. The revisions
listed as "adds" were already present in the repository and have only
been added to this reference.
Summary of changes:
gcc/c-family/ChangeLog | 4 ++++
gcc/c-family/c-common.c | 6 ++++++
gcc/testsuite/ChangeLog | 4 ++++
gcc/testsuite/c-c++-common/Wtautological-compare-3.c | 20 ++++++++++++++++++++
4 files changed, 34 insertions(+)
create mode 100644 gcc/testsuite/c-c++-common/Wtautological-compare-3.c
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
unknown user pushed a change to branch trunk
in repository gcc.
from c4699ff 2015-07-30 Richard Biener <rguenther(a)suse.de>
new 18b3866 2015-07-30 Richard Biener <rguenther(a)suse.de>
The 1 revisions listed above as "new" are entirely new to this
repository and will be described in separate emails. The revisions
listed as "adds" were already present in the repository and have only
been added to this reference.
Summary of changes:
gcc/ChangeLog | 16 ++++++++++
gcc/genmatch.c | 92 ++++++++++++++++++++++++++++++++++++++++++++++------------
gcc/match.pd | 5 ++--
3 files changed, 92 insertions(+), 21 deletions(-)
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
unknown user pushed a change to branch trunk
in repository gcc.
from 081da05 DR 1558 PR c++/67021 * pt.c (tsubst_decl) [TYPE_DECL]: Cle [...]
new c4699ff 2015-07-30 Richard Biener <rguenther(a)suse.de>
The 1 revisions listed above as "new" are entirely new to this
repository and will be described in separate emails. The revisions
listed as "adds" were already present in the repository and have only
been added to this reference.
Summary of changes:
gcc/ChangeLog | 6 ++++++
gcc/match.pd | 2 +-
2 files changed, 7 insertions(+), 1 deletion(-)
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
unknown user pushed a change to branch aoliva/pr64164
in repository gcc.
discards d1e62a5 incremental fixes
new 3004886 incremental fixes
This update added new revisions after undoing existing revisions.
That is to say, some revisions that were in the old version of the
branch are not in the new version. This situation occurs
when a user --force pushes a change and generates a repository
containing something like this:
* -- * -- B -- O -- O -- O (d1e62a5)
\
N -- N -- N refs/heads/aoliva/pr64164 (3004886)
You should already have received notification emails for all of the O
revisions, and so the following emails describe only the N revisions
from the common base, B.
Any revisions marked "omits" are not gone; other references still
refer to them. Any revisions marked "discards" are gone forever.
The 1 revisions listed above as "new" are entirely new to this
repository and will be described in separate emails. The revisions
listed as "adds" were already present in the repository and have only
been added to this reference.
Summary of changes:
gcc/expr.c | 2 +-
gcc/expr.h | 1 +
gcc/function.c | 59 ++++++++++++++++++++++++++++++++++++++++++----------------
3 files changed, 45 insertions(+), 17 deletions(-)
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.